/**
 * Created by Administrator on 2017/9/14.
 */
var player = videojs('my_video_1');
function videoClose(){
    player.ready(function() {
        var myPlayer = this;
        myPlayer.pause();
    });
}

(function(){
    var sanXiaAPI='http://app.3xgd.com';
    $('.zhibo-list').on('click',function(){
        $('.programList-bg').css({'display':'block'});
        $('html').css({'overflow':'hidden'});
    });
    $('.programList-header .pull-right').on('click',function(e){
        e.preventDefault();
        $('html').css({'overflow-y':'scroll'});
        $('.programList-bg').css({'display':'none'});
    });

    $.ajax({
        url:`${sanXiaAPI}/api/tvlive.php`,
        type:'get',
        dataType:'json',
        success:function(d){
            var data= d.data;
            console.log(d.data);
            var html='';
            data.forEach(function(v,i){
                if(i===0){
                    getTvXx(v.channelid);
                    player.ready(function() {
                        var myPlayer = this;
                        myPlayer.src(v.bcdz);
                        myPlayer.load(v.bcdz);
                        myPlayer.play();
                    });
                }
                html+=`<div class="zhibo-tab-item ${i==0&&'active'}" data-channelid="${v.channelid}" data-bcdz="${v.bcdz}">
                            <b>${v.channelname.slice(0,1)}</b>
                            ${v.channelname}
                        </div>`;
            });
            $('.zhibo-tab').html(html);
        }
    });

    //判断现在播放的节目
    function progranmNow(){
        var time= new Date();
        var h=time.getHours()*60;
        var s=time.getMinutes();
       return h+s;
    }
    //获取节目详情列表
    function getTvXx(ci){
        $.ajax({
            url:`${sanXiaAPI}/api/tvxx.php`,
            data:`json={"channelid":${ci}}`,
            type:'POST',
            dataType:'json',
            success:function(d){
                var data= d.data;
                console.log(d);
                var html1='';
                var html2='';
                var preItem=0;
                data.forEach(function(v,i){

                    var h=parseInt(v.Bcsj.slice(0,2));
                    var s=parseInt(v.Bcsj.slice(3,5));
                    var temp=h*60+s;
                    if(temp<progranmNow()){
                        preItem=i;
                    }
                    //列表显示
                    html2+=`<li>
                        <span>${v.Bcsj.slice(0,5)}</span>
                        <span>${v.ProgramName}</span>
                    </li>`;
                    if(i==preItem){
                        html1=`
                             <b>正在直播</b>
                            <span>${v.Bcsj.slice(0,5)}</span>
                            <span class="zhibo-list-info">${v.ProgramName}</span>
                        `;
                    }
                });
                $('.zhibo-list').html(html1);
                $('.programList-body ul').html(html2);
                $(`.programList-body ul li:nth-child(${preItem+1})`).addClass('active').prepend("<span class='pull-right' >直播中</span>");
            }
        });

    }
    //切换电视节目
    $('.zhibo-tab').on('click','.zhibo-tab-item',function(e){
        var ci=parseInt($(this).data('channelid'));
        var bcdz=$(this).data('bcdz');
        $(this).addClass('active').siblings().removeClass('active');
        player.ready(function() {
            var myPlayer = this;
            myPlayer.src(bcdz);
            myPlayer.load(bcdz);
            myPlayer.play();
        });
        console.log(ci);
        getTvXx(ci);
    });




    function getTvLm(){
        $.ajax({
            url:`${sanXiaAPI}/api/lmlb.php`,
            data:`json={"type":1}`,
            type:'post',
            dataType:'json',
            success:function(d){
                var data= d.data;
                console.log(d.data);
                var html='';
                localStorage.setItem('lmInfo',JSON.stringify(data));
                data.forEach(function(v){
                    html+=`<div class="tvList-body-item" data-lmid=${v.lmid}>
                                <img src="${v.pic}" alt=""/>
                                <p>${v.lmmc}</p>
                            </div>`;
                });
                $('.tvList-body').html(html);
            }
        });
    }
    getTvLm();

    $('.tvList-body').on('click','.tvList-body-item',function(){
        var lmid=$(this).data('lmid');
        window.location=(`lmdetail.html`);
        localStorage.setItem('tvlmid',lmid);
    })
})();